# GCC_CapabilityClass Class Reference

`#include <gcc.h>`

List of all members.

## Public Types

enum | Choices { e_logical, e_unsignedMin, e_unsignedMax }

## Public Member Functions

| GCC_CapabilityClass (unsigned tag=0, TagClass tagClass=UniversalTagClass)
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum GCC_CapabilityClass::Choices

Enumerator:

  e_logical |
  e_unsignedMin |
  e_unsignedMax |

## Constructor & Destructor Documentation

GCC_CapabilityClass::GCC_CapabilityClass | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PBoolean GCC_CapabilityClass::CreateObject | ( |  | ) |

PObject* GCC_CapabilityClass::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- gcc.h